/*
** Module   : com.goldencode.p2j.xml
** Abstract : SAX reader exceptions definition
**
** Copyright (c) 2013, Golden Code Development Corporation.
** ALL RIGHTS RESERVED. Use is subject to license terms.
**
**           Golden Code Development Corporation
**                      CONFIDENTIAL
**
** -#- -I- --Date-- ---------------------------------Description----------------------------------
** 001 EVK 20131209 Created initial version.
*/
package com.goldencode.p2j.xml;

import javax.xml.stream.XMLStreamException;

/**
 * Special error throws if some parameter mismatch type.
 */
class MismatchedParametersException
extends XMLStreamException
{
   /** name of callback.*/
   final String callbackName;

   /**
    * Create a new MismatchedParametersException.
    *
    * @param   callbackName
    *          The callback name.
    */
   MismatchedParametersException(String callbackName)
   {
      this.callbackName = callbackName;
   }
}

